#
# spec file for package radvd
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           radvd
BuildRequires:  bison flex
License:        BSD 3-clause (or similar)
Group:          Productivity/Networking/Routing
PreReq:         %insserv_prereq %fillup_prereq
AutoReqProv:    on
Summary:        Router ADVertisement Daemon for IPv6
Version:        1.3
Release:        9.10.1
Source0:        %{name}-%{version}.tar.bz2
Source1:        radvd.init
Source2:        sysconfig.radvd
Patch0:         bnc721968_2.patch
Patch1:         bnc721968_3.patch
Patch2:         bnc721968_4.patch
Patch3:         bnc721968_5.patch
Patch4:         bnc721968_6.patch
Patch5:         bnc721968_7.patch
Patch6:         bnc721968_8.patch
Patch7:         bnc721968_9.patch
Url:            http://v6web.litech.org/radvd
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
RADVD is the Router ADVertisement Daemon. It is used for automated
configuration of IPv6 networks. Most people will not need this.



%prep
%setup -q
%patch0 -p1 
%patch1 -p1 
%patch2 -p1 
%patch3 -p1 
%patch4 -p1 
%patch5 -p1 
%patch6 -p1 
%patch7 -p1 

%build
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --mandir=%{_mandir} --sysconfdir=%{_sysconfdir} --with-configfile=%{_sysconfdir}/radvd.conf --with-pidfile=/var/run/radvd/radvd.pid
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 0755 $RPM_SOURCE_DIR/radvd.init $RPM_BUILD_ROOT/etc/init.d/radvd
ln -sf /etc/init.d/radvd $RPM_BUILD_ROOT/usr/sbin/rcradvd
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/sysconfig.radvd $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 $RPM_BUILD_DIR/radvd-%{version}/radvd.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/radvd.conf
mkdir -p $RPM_BUILD_ROOT/var/run/radvd

%post
%{fillup_and_insserv radvd}

%postun
%{insserv_cleanup}

%preun
%stop_on_removal radvd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %attr(-,daemon,daemon) /var/run/radvd/
%config(noreplace) %{_sysconfdir}/radvd.conf
/var/adm/fillup-templates/sysconfig.radvd
/usr/sbin/radvd
/usr/sbin/radvdump
%doc %{_mandir}/man8/radvd.8.gz
%doc %{_mandir}/man8/radvdump.8.gz
%doc %{_mandir}/man5/radvd.conf.5.gz
%doc CHANGES COPYRIGHT TODO INTRO.html
%config /etc/init.d/radvd
/usr/sbin/rcradvd

%changelog
* Wed Oct 19 2011 jbohac@suse.cz
- fixed several security problems - bnc#721968
  CVE-2011-3602, CVE-2011-3603, CVE-2011-3604, CVE-2011-3605
* Wed Jul 29 2009 jbohac@suse.cz
- Update to version 1.3:
  - mainly compilation fixes
  - decreased the default valid and preferred lifetimes
  - support for arbitrary interface names
* Wed Aug 20 2008 jbohac@suse.cz
- Update to version 1.1:
  - Implement privilege separation on Linux: a master root
    process (which is able to reconfigure interfaces) and the
    main process. There is '-s' toggle to keep old behaviour.
  - Fix Linux retrans_timer on old kernels
    (newer ones have retrans_timer_ms)
  - Fix stderr+syslog (default) logging on non-i386 platforms.
  - Require that interface must be RUNNING instead of just UP.
    Note: this could break deployments with very old kernels.
  - Implement automatic interface address advertising with
    special prefix ::/64.
  - Relax interface naming (e.g. with VLANs) requirements.
  - Fix ordering of route, prefix and RDNSS options (only
    matters with RDNSS)
* Tue Nov 27 2007 jbohac@suse.cz
- Update to version 1.0:
  - Fix AdvDefaultLifetime initalization, broken in 0.9.1.
  - Fix STDERR+syslog logging, don't try STDERR after forking.
  - Implement RDNSS draft with (non-allocated) ND type code 25.
  - Redefined IgnoreIfMissing: failed interfaces are now
    reinitialized by default. IgnoreIfMissing only omits warnings
    about these.
  - Unblock SIGALRM at startup.
  - Implement MAX_INITIAL_RTR_ADVERT_INTERVAL handling (upstream
    fix for #149014)
  - Perform some dynamic/static code audit, fix some minor bugs
    and do cleanup as a result.
* Thu Mar 29 2007 rguenther@suse.de
- Add bison and flex BuildRequires.
* Thu Jul 20 2006 schwab@suse.de
- Call autoreconf to work around broken time stamps.
* Wed Feb  8 2006 okir@suse.de
- Make radvd limit the initial RA intervals according to RFC 2461.
  Needed for IPv6 Ready Logo (#149014)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 okir@suse.de
- Update to latest upstream version 0.9
* Tue Feb 22 2005 kukuk@suse.de
- Update to 0.7.3 (merge of all fixes)
* Wed Feb  4 2004 kukuk@suse.de
- Add some patches from RedHat package
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Fri Aug 15 2003 kukuk@suse.de
- Add ServiceRestart tag to sysconfig file [Bug #28927]
* Fri Jan 17 2003 kukuk@suse.de
- Update to version 0.7.2 (VLAN support)
* Thu Jan 16 2003 kukuk@suse.de
- Add metadata to sysconfig template [Bug #22678]
* Thu Aug  1 2002 kukuk@suse.de
- Add PreRequires for insserv and fillup
* Mon Mar  4 2002 kukuk@suse.de
- Rename OPTIONS variable to RADVD_OPTIONS
* Thu Jan 24 2002 kukuk@suse.de
- Update to version 0.7.1 (minor fixes)
* Sat Jan 12 2002 kukuk@suse.de
- Add options to radvd
* Sat Jan 12 2002 kukuk@suse.de
- Add radvd sysconfig option file
- Don't source rc.config in init script
* Fri Nov 23 2001 kukuk@suse.de
- update to 0.7.0
- Remove START variable
- Cleanup init script
* Wed Jun  6 2001 bjacke@suse.de
- update to 0.6.2pl3
* Mon Apr 23 2001 kukuk@suse.de
- Fix type in START variable
* Mon Apr  9 2001 bjacke@suse.de
- init script rework
* Mon Feb  5 2001 bjacke@suse.de
- updated to 0.6.2
* Wed Jan 10 2001 bjacke@suse.de
- removed service from runlevel 2
* Mon Nov 27 2000 bjacke@suse.de
- moved init script to /etc/init.d
* Thu Nov 23 2000 bjacke@suse.de
- use insserv for init.d script
* Mon Nov 13 2000 bjacke@suse.de
- some specfile fixes
* Sat Oct 28 2000 bjacke@suse.de
- initial build
